# Interface StandardJavaFileManager.PathFactory

Enclosing interface:
  `StandardJavaFileManager`

public static interface StandardJavaFileManager.PathFactory
Factory to create `Path` objects from strings.

Since:
  9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Path`
  `getPath(String first, String... more)`
  Converts a path string, or a sequence of strings that when joined form a path string, to a Path.

- ## Method Details

  - ### getPath

    Path getPath(String first, String... more)
    Converts a path string, or a sequence of strings that when joined form a path string, to a Path.
    Parameters:
      `first` - the path string or initial part of the path string
      `more` - additional strings to be joined to form the path string
    Returns:
      the resulting `Path`